/*
  1. Use a more-intuitive box-sizing model.
*/
*,
*::before,
*::after {
  box-sizing: border-box;
}
/*
  2. Remove default margin
*/
* {
  margin: 0;
}
/*
  3. Allow percentage-based heights in the application
*/
html,
body {
  height: 100%;
}
/*
  Typographic tweaks!
  4. Add accessible line-height
  5. Improve text rendering
*/
body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}
/*
  6. Improve media defaults
*/
img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}
/*
  7. Remove built-in form typography styles
*/
input,
button,
textarea,
select {
  font: inherit;
}
/*
  8. Avoid text overflows
*/
p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}
/*
  9. Create a root stacking context
*/
#root,
#__next {
  isolation: isolate;
}

ul,
li {
  margin: 0;
  padding: 0;
}

/* */

:root {
  --h1-font-size: clamp(2.4em, 1.8em + 1.5vw, 3.6em);
  --h2-font-size: calc(var(--h1-font-size) / 1.25);
  --h3-font-size: calc(var(--h2-font-size) / 1.2);
  --p-font-size: clamp(1.6em, 1.5em + 0.25vw, 1.8em);

  /**/
  --color-main: #000;
  --color-main2: #419945;
  --color-main3: #57718a;
  --color-sub: #ee5d24;
  --color-sub-hover: #000;
  --font-header: 'Kanit', sans-serif;
  --font-body: 'Kanit', sans-serif;

  --h1-margin-bottom: clamp(32px, 24px + 2vw, 48px);
  --h2-margin-bottom: 24px;
  --h3-margin: 48px;

  --section-padding: clamp(4.8em, 4em + 2vw, 6.4em);
  --div-nekretnineDet-font-size: 1.6em;
  --ul-text-small-font-size: 1.6em;
}

html {
  scroll-behavior: smooth;
}

body {
  color: #333;
  font-family: var(--font-body);
  font-size: 62.5%;
  font-weight: 300;
}

a.link {
  color: var(--color-sub);
  text-decoration: underline;

  &:hover {
    text-decoration: none;
  }
}

h1 {
  font-size: var(--h1-font-size);
  line-height: 125%;
  margin: 0 0 var(--h1-margin-bottom);
}

h2 {
  font-size: var(--h2-font-size);
  margin: 0 auto clamp(24px, 20px + 1vw, 32px) 0;

  &.text {
    margin: clamp(24px, 20px + 1vw, 32px) 0;
    text-align: left;
    text-transform: uppercase;
  }

  &.det {
    font-size: calc(var(--h2-font-size) / 1.25);
    padding-top: 24px;
    text-align: left;
    text-transform: uppercase;
  }

  &.c {
    text-align: center;
  }
}

h3 {
  font-size: var(--h3-font-size);
  margin: 24px auto 16px;
}

p.text,
ul.text,
ol.text {
  font-size: var(--p-font-size);

  & + p {
    margin-top: 16px;
  }

  &.c {
    text-align: center;
  }

  &.admin {
    border: 1px solid rgba(0, 0, 0, 0.1);
    list-style: none;
    margin: 16px auto;
    padding: 8px 0;

    &.red {
      border: 1px solid red;
      color: red;
      padding: 8px;
    }

    &.green {
      border: 1px solid green;
      color: green;
      padding: 8px;
    }

    li + li {
      margin-top: 4px;
    }
  }

  ul,
  ol {
    padding-left: 24px;
  }
}

ul.text,
ol.text {
  padding-left: 24px;
}

p.text + ul.text,
p.text + ol.text {
  margin-top: 8px;
}

/**/

header {
  background: #f7f7f7;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  background-size: cover;
  height: 165px;
  overflow: hidden;
  transition: all 0.5s;

  &.show {
    @media screen and (max-width: 1020px) {
      height: 370px;
    }
  }
}

div.prvaLinija {
  background-color: #fff;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  font-size: calc(var(--p-font-size) * 0.75);
  font-weight: 400;
  height: 45px;
  padding: 10px 0;

  span {
    display: flex;
    line-height: 25px;
    left: calc((100% - 1200px) / 2);
    position: absolute;
    top: 10px;

    @media screen and (max-width: 1333px) {
      left: 5%;
    }

    em {
      font-style: normal;
      line-height: 25px;
      padding: 0 5px 0 0;

      & + em {
        border-left: 1px solid rgba(0, 0, 0, 0.05);
        padding: 0 5px 0 5px;
      }

      a {
        line-height: 25px;
      }
    }
  }
}

.index div.prvaLinija {
  background-color: transparent;
  background-color: #fff;
}

#ham {
  display: none;

  @media screen and (max-width: 1020px) {
    background: #000;
    border-bottom: 1px solid #fff;
    display: block;
    height: 45px;
    position: absolute;
    right: 0px;
    top: 0px;
    width: 45px;

    .burger-container {
      cursor: pointer;
      display: inline-block;
      height: 45px;
      position: absolute;
      transform: rotate(0deg);
      transition: all 0.3s cubic-bezier(0.4, 0.01, 0.165, 0.99);
      width: 45px;
      user-select: none;
      -webkit-tap-highlight-color: transparent;
      z-index: 1000;
    }

    .burger-container #burger {
      display: block;
      height: 8px;
      margin: -4px auto 0;
      position: relative;
      top: 50%;
      width: 18px;
    }

    .bar {
      background: #fff;
      display: block;
      height: 1px;
      position: relative;
      transition: all 0.3s cubic-bezier(0.4, 0.01, 0.165, 0.99);
      transition-delay: 0s;
      width: 100%;
    }

    .topBar {
      transform: translateY(0px) rotate(0deg);
    }

    .btmBar {
      transform: translateY(6px) rotate(0deg);
    }

    .burger-container.open {
      transform: rotate(90deg);
    }
    .burger-container.open #burger .bar {
      background: #fff;
      transition: all 0.4s cubic-bezier(0.4, 0.01, 0.165, 0.99);
      transition-delay: 0.2s;
    }
    .burger-container.open #burger .bar.topBar {
      transform: translateY(4px) rotate(45deg);
    }
    .burger-container.open #burger .bar.btmBar {
      transform: translateY(3px) rotate(-45deg);
    }
  }
}

div.drugaLinija {
  height: 120px;
  margin: 0 auto;
  padding: 10px 0;
  width: min(1200px, 90%);

  @media screen and (max-width: 1020px) {
    width: 100%;
  }
}

#logo {
  aspect-ratio: 6.2;
  font-size: 2.4em;
  font-weight: 400;
  left: calc((100% - 1200px) / 2);
  margin: 0 auto;
  position: absolute;
  top: 80px;
  width: 310px;
  z-index: 100;

  @media screen and (max-width: 1333px) {
    left: 5%;
  }

  @media screen and (max-width: 1020px) {
    margin-block: 30px;
    position: static;
  }

  a {
    color: #fff;
    display: block;
    width: 100%;
    text-decoration: none;

    &:hover {
      color: #000;
    }
  }

  img {
    aspect-ratio: 6.2;
    width: 100%;
  }
}

nav {
  margin-left: 130px;
  margin-top: 20px;
  width: calc(100% - 130px);

  @media screen and (max-width: 1020px) {
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    margin-left: 0;
    margin-top: 10px;
    width: 100%;
  }
}

#mainNav {
  display: flex;
  flex-wrap: wrap;
  font-family: var(--font-header);
  font-weight: 400;
  justify-content: flex-end;
  list-style: none;
  text-align: center;
  width: 100%;

  li {
    font-size: calc(var(--p-font-size) * 0.9);
    font-weight: 300;

    & + li {
      margin-left: 24px;
    }

    @media screen and (max-width: 1020px) {
      flex: 0 0 100%;

      & + li {
        border-top: 1px solid rgba(0, 0, 0, 0.05);
        margin-left: 0;
      }
    }
  }

  a {
    color: #000;
    display: block;
    font-weight: 400;
    line-height: 60px;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    transition: all 0.5s;

    @media screen and (max-width: 1020px) {
      line-height: 48px;
    }

    &:hover {
      color: var(--color-sub);
    }
  }
}

ul.zastave {
  font-size: calc(var(--p-font-size) * 0.75);
  font-weight: 400;
  position: absolute;
  right: 5%;
  top: 10px;

  @media screen and (max-width: 1020px) {
    right: calc(16px + 45px);
  }

  li {
    display: flex;
    line-height: 25px;
  }

  a {
    display: flex;
    line-height: 25px;
  }
}

/**/

main {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;

  &.index {
    justify-content: center;
    flex-direction: column;
    margin: 0 auto;
    width: min(1200px, 90%);
  }

  &.text {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    margin: 0 auto;
    width: min(90%, 1200px);
  }
}

section {
  grid-column: 1 / -1;
  margin: var(--section-padding) 0;

  &.index {
    margin: 0;
    width: 100%;
  }

  &.full {
    margin: var(--section-padding) auto;
    width: min(1200px, 90%);
  }

  &.text {
    grid-column: 1 / 8;

    @media screen and (max-width: 900px) {
      grid-column: 1 / -1;
    }
  }
}

.index section {
  flex: 0 0 min(90%, 1200px);
  margin: 0;
  padding: 48px 0;
}

.index section + section {
  padding-top: 12px;
}

#hero {
  align-items: flex-end;
  background-color: #f7f7f7;
  display: flex;
  height: calc(100vh - 165px);
  justify-content: center;
  width: 100%;

  @media screen and (max-width: 768px) and (orientation: portrait) {
    height: calc(100vh - 165px - 20vh);
  }

  img {
    height: 100%;
    object-fit: cover;
    width: 100%;
  }

  h1 {
    color: #fff;
    font-size: calc(var(--h1-font-size) * 1.5);
    line-height: 125%;
    max-width: 90%;
    position: absolute;
    text-align: center;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
  }
}

/**/

div.column {
  gap: 64px;

  &.c2 {
    column-count: 2;

    @media screen and (max-width: 900px) {
      column-count: 1;
    }
  }
}

/**/

/* ##########
### LIST ###
########## */

#izletiList {
  display: grid;
  gap: 24px;
  grid-template-columns: repeat(auto-fill, minmax(324px, 1fr));
  list-style: none;

  > li {
    border: 1px solid rgba(0, 0, 0, 0.25);
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    transition: all 0.5s;

    > a {
      background-color: #eee;
      color: #000;
      display: flex;
      flex-wrap: wrap;
      position: relative;
      text-decoration: none;
      width: 100%;
      transition: all 0.5s;

      > span {
        border-radius: 2px;
        color: #fff;
        font-size: 1.2em;
        font-weight: 400;
        padding: 8px;
        position: absolute;
        text-transform: uppercase;
        top: 8px;
      }

      > span:not(.id) {
        background-color: red;
        left: 8px;
      }

      > span.id {
        background-color: rgba(0, 0, 0, 0.25);
        right: 8px;
      }

      > span.novo {
        background-color: green;
      }

      > span.prodano {
        background-color: var(--color-main);
      }

      > img {
        aspect-ratio: 400 / 267;
        display: block;
        width: 100%;
      }
    }

    > a:hover {
      box-shadow: none;

      h3 {
        color: #000;
      }
    }

    > div:not(.price) {
      border-top: 1px solid rgba(0, 0, 0, 0.1);
      display: flex;
      flex-wrap: wrap;
      padding: 16px;
      width: 100%;

      h3 {
        flex: 0 0 100%;
        font-size: calc(var(--p-font-size) * 1.1);
        font-weight: 500;
        height: 100px;
        line-height: 150%;
        margin: 0;
        text-align: left;
        text-wrap: wrap;

        @media (max-width: 600px) {
          & {
            height: auto;
          }
        }

        a {
          color: var(--color-main);
          text-decoration: none;
          transition: all 0.5s;
        }

        a:hover {
          color: var(--color-sub);
        }
      }

      h3 + div {
        display: flex;
        flex: 0 0 100%;
        flex-wrap: wrap;
        gap: 8px;
        justify-content: space-between;
        margin-top: 16px;

        > div {
          display: flex;
          font-size: calc(var(--p-font-size) * 1);
          gap: 12px;

          span {
            align-items: center;
            display: flex;
            font-weight: 400;

            svg {
              color: #000;

              @media (max-width: 400px) {
                & {
                  height: 20px;
                  width: 20px;
                }
              }
            }
          }
        }
      }
    }

    > div.price {
      background-color: rgba(0, 0, 0, 0.05);
      border-radius: 0 0 8px 8px;
      display: flex;
      flex: auto;
      font-size: 2.6em;
      gap: 32px;
      line-height: 100%;
      padding: 16px;
      text-align: left;
      transition: all 0.5s;
      width: 100%;

      > span {
        display: flex;
        flex: 1;
        flex-direction: column;
        flex-wrap: wrap;
        font-weight: 500;
        gap: 4px;

        span {
          color: #999;
          font-size: 0.5em;
          line-height: 100%;
        }
      }

      .akcija {
        color: rgba(255, 49, 49);
      }

      .staro {
        margin-left: 32px;
        text-decoration: line-through;
      }
    }
  }

  > li:hover {
    border: 1px solid rgba(0, 0, 0, 0.25);

    > div.price {
      background-color: rgba(0, 0, 0, 0.1);
    }
  }
}

/* ##########
### DET ###
########## */

div.main_gallery {
  aspect-ratio: 3 / 2;
  background: #eee;
  border-radius: 8px;
  display: flex;
  overflow: hidden;
  position: relative;

  & > a {
    display: flex;
    flex: 1;
  }

  img {
    object-fit: cover;
    width: 100%;
  }

  div.photos {
    align-items: center;
    border-radius: 4px;
    bottom: 16px;
    display: flex;
    left: 16px;
    padding: 8px;
    position: absolute;

    span.icon {
      color: #fff;
      height: 24px;
      margin-right: 8px;
      width: 24px;

      svg {
        stroke-width: 2;
      }
    }

    span.data {
      align-items: center;
      color: #fff;
      display: flex;
      font-size: var(--p-font-size);
      font-weight: 600;
    }
  }
}

h1.det {
  font-size: calc(var(--h1-font-size) * 0.9);
  margin: var(--h1-margin-bottom) 0;
}

/**/

div.main_price {
  display: flex;
  font-size: calc(var(--p-font-size) * 2);
  font-weight: 500;
  justify-content: space-between;
  margin-bottom: 16px;

  & > div {
    display: flex;
    flex: 1;
    flex-wrap: wrap;
    gap: 12px;

    div {
      align-items: center;
      background-color: #f7f7f7;
      border-radius: 4px;
      display: flex;
      flex: 1 0 calc(50% - 6px);
      flex-wrap: wrap;
      padding: 16px 32px;

      @media screen and (max-width: 600px) {
        flex: 0 0 100%;
      }

      span {
        color: #999;
        display: flex;
        flex: 0 0 100%;
        font-size: 0.5em;
      }
    }
  }
}

div.main_raspolozivost {
  padding: 32px 0;

  p {
    font-size: var(--p-font-size);
    line-height: 160%;
  }
}

div.main_opis {
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  padding: clamp(2.4em, 2em + 1vw, 3.2em) 0;

  > div {
    font-size: var(--p-font-size);
    line-height: 160%;

    & + p {
      margin-top: 16px;
    }
  }
}

div.main_dodatno {
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  padding: clamp(2.4em, 2em + 1vw, 3.2em) 0;

  h3:first-child {
    margin-top: 0;
  }

  p {
    font-size: var(--p-font-size);
    line-height: 160%;
  }

  & + p {
    margin-top: 32px;
  }
}

div.main_kontakt {
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  padding: clamp(2.4em, 2em + 1vw, 3.2em) 0 0;
}

#vozniPark {
  display: flex;
  flex-wrap: wrap;

  li {
    display: flex;
    flex: 0 0 100%;
    gap: 48px;

    &:nth-child(even) {
      flex-direction: row-reverse;
    }

    & + li {
      margin-top: 32px;
      padding-top: 32px;
    }

    > a {
      aspect-ratio: 16 / 9;
      background-color: #eee;
      border-radius: 16px;
      display: flex;
      flex: 0 0 calc(50% - 24px);
      overflow: hidden;
      text-decoration: none;

      img {
        object-fit: cover;
        width: 100%;
      }
    }

    > div {
      align-items: center;
      display: flex;
      flex: 0 0 calc(50% - 24px);
    }

    @media screen and (max-width: 1020px) {
      flex-wrap: wrap;
      gap: 8px;

      & + li {
        padding-top: 0;
      }

      > a,
      > div {
        flex: 0 0 100%;
      }

      h3 {
        margin-bottom: 0;
      }
    }
  }
}

/**/

aside {
  &.text {
    grid-column: 9 / 13;
    margin: var(--section-padding) 0;

    @media screen and (max-width: 1020px) {
      grid-column: 1 / -1;
      margin-top: 0;
    }
  }

  div.kontakt {
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    padding: 24px;
    position: sticky;
    top: 48px;

    > div.info {
      font-size: var(--p-font-size);
      flex-wrap: wrap;
      line-height: 160%;

      p {
        flex: 0 0 100%;

        &.c {
          text-align: center;
        }

        &.icon {
          align-items: center;
          display: flex;
          gap: 12px;
          justify-content: center;
          margin: 16px auto;
        }

        span.icon {
          height: 40px;
          width: 40px;
        }
      }
    }

    > div.cta {
      display: flex;
      font-size: 1.4em;
      gap: 12px;
      margin-left: auto;
      margin-right: auto;
      width: min(100%, 500px);

      > div {
        align-items: center;
        background: #ddd;
        background: var(--color-sub);
        border-radius: 4px;
        display: flex;
        flex: 1 0 calc((100% - 24px) / 3);
        overflow: hidden;
        transition: all 0.5s;

        &.query {
          background: var(--color-sub);
          color: #000;
        }

        a {
          align-items: center;
          color: #fff;
          display: flex;
          flex: 1;
          padding: 12px;
          justify-content: flex-start;
          text-align: center;
          text-decoration: none;
          transition: all 0.5s;

          &:hover {
            background-color: #000;
          }
        }

        span.icon {
          align-items: center;
          display: flex;
          height: 20px;
          justify-content: center;
          margin: 0 12px 0 4px;
          width: 20px;
        }

        span svg {
          height: 20px;
          width: 20px;
        }
      }
    }
  }
}

#results_inner {
  flex: 0 0 100%;
  font-size: 1.6em;
  justify-content: center;

  &.ok {
    border: 1px solid var(--color-main2);
    color: var(--color-main2);
    margin-bottom: 16px;
    padding: 16px;
  }

  &.err {
    border: 1px solid rgba(255, 49, 49);
    color: rgba(255, 49, 49);
    margin-bottom: 16px;
    padding: 16px;
  }
}

fieldset {
  border: 0;
  padding: 0;

  &.upit.admin {
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 8px;
    padding: clamp(16px, 8px + 2vw, 32px);

    + fieldset {
      margin-top: 32px;

      @media screen and (max-width: 500px) {
        border-top: 1px solid rgba(0, 0, 0, 0.1);
        padding-top: 16px;
      }
    }

    @media screen and (max-width: 500px) {
      border: 0;
      border-radius: 0;
      padding: 0;
    }
  }
}

fieldset.upit {
  ol {
    list-style: none;
    padding: 0;
  }

  li.chck {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
  }

  li.chck2 {
    display: flex;
    margin-bottom: 32px;

    label {
      align-items: flex-start;
      display: flex;
      font-size: calc(var(--p-font-size) * 0.9);
      line-height: 125%;
      margin: 0;
    }

    input {
      margin: 4px 12px 0 0;
    }
  }

  li.sbmt {
    margin-top: 16px;
  }

  li + li {
    margin-top: 12px;
  }

  label {
    align-items: center;
    display: flex;
    font-size: var(--p-font-size);
    line-height: 32px;
    margin-bottom: 4px;
  }

  &.admin {
    li {
      align-items: flex-start;
      display: flex;
      justify-content: space-between;

      @media screen and (max-width: 1020px) {
        flex-wrap: wrap;

        &.full {
          label {
            flex: 0 0 100%;
          }
        }
      }

      &.sbmt {
        margin-top: 16px;
        justify-content: flex-end;
      }
    }

    label {
      align-items: center;
      display: flex;
      height: 42px;
      margin: 0;
      width: 300px;
    }
  }
}

fieldset.upit label.provjera {
  align-items: center;
  color: #aaa;
  display: flex;
  margin: 0;
  padding: 0;
  width: 130px;

  img {
    border: 1px solid #aaa;
    height: 40px;
  }

  svg {
    height: 20px;
    margin-left: 5px;
    width: 20px;
  }
}

fieldset.upit label.spam {
  line-height: 20px;
  margin-bottom: 10px;
  width: 100%;
}

fieldset.upit input.text,
fieldset.upit input.textx,
fieldset.upit input.textxx,
input.slike,
fieldset.upit select,
fieldset.upit textarea,
fieldset.upit input.submit,
#slikeBri,
.richText,
.choices__inner,
#editor {
  background: #f7f7f7;
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 4px;
  box-sizing: border-box;
  color: #000;
  flex: 0 1 640px;
  font-family: var(--font-body);
  font-size: var(--p-font-size) !important;
  font-weight: 300;
  line-height: 24px;
  margin: 0;
  padding: 8px 12px;
  transition: background 1s;
  width: 100%;
}

#editor_holder {
  flex: 0 1 640px;
  height: 550px;
}

#editor {
  height: calc(550px - 42px);
}

.ql-editor {
  padding: 0 !important;
}

fieldset.upit input.textx {
  max-width: 60px;
}

fieldset.upit input.textxx {
  max-width: 100px;
}

fieldset.upit input.submit {
  background-color: var(--color-sub);
  color: #fff;
  padding: 16px;
  transition: all 0.5s;

  &:hover {
    background-color: #000;
    cursor: pointer;
  }
}

textarea {
  min-height: 200px;
}

fieldset.upit.admin input.box {
  align-self: center;
  height: 16px;
  width: 16px;
}

/**/

footer {
  background-color: var(--color-main2);
  color: #fff;
  padding: var(--section-padding) 5vw;

  p {
    font-size: calc(var(--p-font-size) * 0.9);
    text-align: center;

    & + p {
      margin-top: 16px;
    }

    a + a {
      margin-left: 16px;
    }
  }

  a.link {
    color: #fff;
    text-decoration: underline;

    &:hover {
      text-decoration: none;
    }
  }
}

footer #copy {
}

/**/

#admin_list div.nek {
  display: flex;
  gap: 20px;
  justify-content: space-between;
  margin: 0 0 10px 0;

  @media screen and (max-width: 500px) {
    gap: 10px;
  }

  & + div.nek {
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    margin-top: 10px;
    padding-top: 10px;
  }

  > div.img {
    display: flex;
    flex: 0 0 90px;

    @media screen and (max-width: 500px) {
      flex: 0 0 60px;
    }

    > a {
      align-items: flex-start;
      border: 1px solid rgba(255, 255, 255, 0.2);
      display: flex;
      flex: 1;
      transition: all 0.5s;

      &:hover {
        border: 1px solid var(--color-main);
      }
    }

    img {
      aspect-ratio: 3 / 2;
      display: block;
      width: 100%;

      @media screen and (max-width: 500px) {
        aspect-ratio: 1 / 1;
        object-fit: cover;
      }
    }
  }

  > div.data {
    display: flex;
    flex: 0 0 calc(100% - 110px);
    flex-wrap: wrap;

    @media screen and (max-width: 500px) {
      flex: 0 0 calc(100% - 70px);
    }

    p {
      font-size: calc(var(--p-font-size) * 0.9);
      line-height: 30px;
      text-align: left;

      &.naziv {
        flex: 0 0 100%;
        max-height: 30px;
        overflow: hidden;
      }

      &.posjeta {
        flex: 0 0 50px;
        text-align: right;
      }

      &.unos {
        flex: 0 0 calc(100% - 160px);
        padding-left: 10px;
      }

      &.ostalo {
        align-items: center;
        display: flex;
        flex: 0 0 60px;

        span {
          align-items: center;
          border: 1px solid #fff;
          border-radius: 4px;
          color: #fff;
          display: flex;
          font-size: 0.9em;
          font-weight: 500;
          height: 26px;
          justify-content: center;
          text-align: center;
          width: 20px;
        }
      }

      &.del {
        display: flex;
        flex: 0 0 30px;
        margin-left: 20px;
        text-align: right;

        a {
          align-items: center;
          display: flex;
          flex: 1;
          justify-content: flex-end;

          &:hover svg {
            color: var(--color-sub);
          }
        }

        svg {
          color: var(--color-main);
          height: 24px;
          transition: all 0.5s;
          width: 24px;
        }
      }
    }
  }
}

span.none {
  border: 1px solid transparent;
}

span.admtp {
  background: red;
}

span.admno {
  background: green;
}

div.admin_inner {
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 8px;

  @media screen and (max-width: 500px) {
    border: 0;
  }

  fieldset {
    background-color: rgba(0, 0, 0, 0.05);
    border: 0 !important;
    border-radius: 0 !important;

    @media screen and (max-width: 500px) {
      background-color: transparent;
      border-top: 1px solid rgba(0, 0, 0, 0.1) !important;
      padding-top: 16px !important;
    }
  }

  & + div.admin_inner {
    margin-top: 32px;
  }

  form + & {
    margin-top: 48px;
  }
}

#slikaBris {
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  display: grid;
  gap: 12px;
  grid-template-columns: repeat(auto-fill, minmax(155px, 1fr));
  list-style: none;
  margin: 0;
  padding: 32px;

  @media screen and (max-width: 500px) {
    padding: 32px 0;
  }

  li {
    & > a {
      border: 1px solid rgba(0, 0, 0, 0.1);
      display: block;
      list-style-type: none;
      margin-bottom: 5px;
      transition: all 0.5s;

      &:hover {
        border: 1px solid var(--color-main);
      }
    }

    & > div {
      display: flex;
      justify-content: space-between;
      margin-top: 8px;

      div {
        flex: 0 0 70px;
      }

      div + div {
        flex: 0 0 60px;
      }
    }

    div {
      align-items: center;
      display: flex;
      justify-content: space-between;
    }
  }

  img {
    aspect-ratio: 3 / 2;
    object-fit: cover;
    width: 100%;
  }

  input.slike {
    flex: 0 0 70px;
    height: 40px;
    padding: 5px 10px;
  }

  input.box {
    height: 16px;
    width: 16px;
  }

  a.brisi {
    align-items: center;
    align-self: stretch;
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 4px;
    box-shadow: none;
    color: var(--color-main);
    display: flex;
    font-size: 1.5em;
    line-height: 32px;
    justify-content: center;
    text-decoration: none;
    transition: all 0.5s;

    &:hover {
      border: 1px solid var(--color-main);
    }
  }

  svg {
    height: 24px;
    width: 24px;
  }
}

#sve_slike {
  display: flex;
  font-size: 1.6em;

  @media screen and (max-width: 500px) {
    margin: 16px auto;
  }
}
